Cygport Reference Manual

### TABLE OF CONTENTS

- qt3.cygclass

- QTDIR
- QT3_BINDIR
- QT3_INCLUDEDIR
- QT3_LIBDIR
- QT3_PLUGINSDIR
- QT3_DATADIR
- QT3_QMAKE
- QT3_MOC
- QT3_UIC
- doqt3inc
- doqt3lib
- qt3pluginto
- doqt3plugin

## qt3.cygclass

[ Top ] [ Cygclasses ] [ Cygclasses ]

SYNOPSIS

      inherit qt3

DESCRIPTION

Qt is a C++ cross-platform application framework for writing desktop GUI applications. Qt is the underlying toolkit used by the KDE desktop environment.

This cygclass provides definitions and install functions which can be used by all Qt3-based packages, regardless of the build system being used.

NOTES

- Packages based on the newer 4.x or 5.x versions of Qt must use qt4.cygclass or qt5.cygclass, respectively.
- The 3.x version of Qt is deprecated. Support for Qt3 may be dropped in the near future.

INHERITED BY

kde3.cygclass, qt3-qmake.cygclass

## QTDIR

[ Top ] [ qt3.cygclass ] [ Definitions ]

DESCRIPTION

Root directory of the Qt3 installation. This variable is exported to the build environment.

## QT3_BINDIR

[ Top ] [ qt3.cygclass ] [ Definitions ]

DESCRIPTION

Directory containing the Qt3 development tools.

## QT3_INCLUDEDIR

[ Top ] [ qt3.cygclass ] [ Definitions ]

DESCRIPTION

Directory containing the Qt3 library headers.

## QT3_LIBDIR

[ Top ] [ qt3.cygclass ] [ Definitions ]

DESCRIPTION

Directory containing the Qt3 link libraries.

## QT3_PLUGINSDIR

[ Top ] [ qt3.cygclass ] [ Definitions ]

DESCRIPTION

Installation path for Qt3 plugins.

## QT3_DATADIR

[ Top ] [ qt3.cygclass ] [ Definitions ]

DESCRIPTION

Directory containing the Qt3 documentation and translation data.

## QT3_QMAKE

[ Top ] [ qt3.cygclass ] [ Definitions ]

DESCRIPTION

Absolute path to the Qt3 project and Makefile generator.

## QT3_MOC

[ Top ] [ qt3.cygclass ] [ Definitions ]

DESCRIPTION

Absolute path to the Qt3 Meta-Object Compiler.

## QT3_UIC

[ Top ] [ qt3.cygclass ] [ Definitions ]

DESCRIPTION

Absolute path to the Qt3 User Interface Compiler.

## doqt3inc

[ Top ] [ qt3.cygclass ] [ Install Functions ]

SYNOPSIS

      doqt3inc HEADERS

DESCRIPTION

Installs headers into QT3_INCLUDEDIR under $D.

## doqt3lib

[ Top ] [ qt3.cygclass ] [ Install Functions ]

SYNOPSIS

      doqt3lib LIBRARIES

DESCRIPTION

Installs link libraries into QT3_LIBDIR under $D.

## qt3pluginto

[ Top ] [ qt3.cygclass ] [ Install Functions ]

SYNOPSIS

      qt3pluginto SUBDIRECTORY

DESCRIPTION

Sets the subdirectory of QT3_PLUGINDIR in which doqt3plugin should install. Supported subdirectores include:

- crypto: Qt Cryptographic Architecture backends
- designer: Qt Designer widgets
- imageformats: image format handlers
- sqldrivers: SQL datbase backends
- styles: GUI style engines

## doqt3plugin

[ Top ] [ qt3.cygclass ] [ Install Functions ]

SYNOPSIS

      qt3pluginto SUBDIRECTORY
      doqt3plugin PLUGINS

DESCRIPTION

Installs the given plugins into the subdirectory of QT3_PLUGINDIR passed to the previous call to qt3pluginto.